Doomsday Engine - Bug #1866

[Doom] Fortress of Mystery appears between wrong map on E2 intermission
2014-09-16 14:04 - vermil

Status: Closed Start date: 2014-09-16
Priority: Normal % Done: 100%
Assignee: danij

Category: Regression

Target version: 1.15

Description

The Fortress of Mystery on the E2 intermission incorrectly appears when the player is about to start E2M8 instead of E2M9.

For reference, in Vanilla Doom, the FOM fades in when the player is about to enter E2M9. But is not there when the player finishes
E2M9 (though the map completed mark remains there until the end of the episode).

Could be an off by one oversight somewhere?

History

#1 - 2014-10-05 17:35 - danij
- Category set to Regression
- Status changed from New to In Progress

- Assignee set to danij

#2 - 2014-10-05 17:46 - danij
- % Done changed from 0 to 100

#3 - 2014-10-05 17:48 - danij

As the intermission has undergone significant changes for 1.15 in the common-episode-definition branch, this bug has been fixed there.

#4 - 2014-10-07 03:14 - sonicdoommario

Just a quick question, this commit isn't in a build yet, right? Ran around Doom a little bit today and still noticed the problems mentioned in this report.

Also wanted to mention that the Tower of Babel (E2M8), which is gradually built on the intermission screen as you progress through the episode,
doesn't build properly (wasn't completely built by the time | finished E2M7).

#5 - 2014-10-07 04:26 - danij

Correct, these fixes won't appear until my common-episode-definition branch is merged to the master. (I addressed the Tower of Babel issue at the
same time).

#6 - 2014-11-24 23:27 - sonicdoommario

Just wanted to confirm that with the recent builds, the E2 intermission screen is working properly again.

#7 - 2014-11-25 05:23 - danij
- Tags set to Intermission, Doom
- Status changed from In Progress to Closed

- Target version set to 1.15
